%define oname		imobiledevice
%define major		6
%define libname		%mklibname %{oname} %{major}
%define libnamedev	%mklibname %{oname} -d

Name:		libimobiledevice
Version:	1.2.0
Release:	%mkrel 2
Summary:	Library for connecting to Apple devices
Group:		System/Libraries
License:	LGPLv2+
URL:		http://libimobiledevice.org/
Source0:	http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.xz
#--------------------------------------
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}plist-devel
BuildRequires: %{_lib}plist++-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}usbmuxd-devel
BuildRequires: python-cython
#--------------------------------------

%description
libimobiledevice is a software library that talks the protocols to support
iPhone®, iPod Touch®, iPad® and Apple TV® devices.

Unlike other projects, it does not depend on using any existing proprietary
libraries and does not require jailbreaking. It allows other software to
easily access the device's filesystem, retrieve information about the device
and it's internals, backup/restore the device, manage SpringBoard® icons,
manage installed applications, retrieve addressbook/calendars/notes and
bookmarks and (using libgpod) synchronize music and video to the device.

#---------------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for connecting to Apple devices
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libimobiledevice is a software library that talks the protocols to support
iPhone®, iPod Touch®, iPad® and Apple TV® devices.

#---------------------------------------------------------------------------------

%package -n	%{libnamedev}
Summary:	Development package for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libnamedev}
Files for development with %{name}.

#---------------------------------------------------------------------------------

%package -n	python-imobiledevice
Summary:	Python bindings for %{name}
Group:		Development/Python
BuildRequires:	python-devel
BuildRequires:	python-cython
BuildRequires:	swig

%description -n python-imobiledevice
Python bindings for %{name}.

#---------------------------------------------------------------------------------
%prep
%setup -q
# Fix dir permissions on html docs
chmod +x docs/html

%build
###autoreconf -vfi
%configure2_5x --disable-static 
# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -name "*.la" -delete

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LESSER README
%{_bindir}/idevice_id
%{_bindir}/idevicedebug
%{_bindir}/idevicenotificationproxy
%{_bindir}/ideviceinfo
%{_bindir}/idevicepair
%{_bindir}/idevicesyslog
%{_bindir}/idevicebackup
%{_bindir}/ideviceimagemounter
%{_bindir}/ideviceenterrecovery
%{_bindir}/idevicescreenshot
%{_bindir}/idevicebackup2
%{_bindir}/idevicedate
%{_bindir}/idevicedebugserverproxy
%{_bindir}/idevicediagnostics
%{_bindir}/ideviceprovision
%{_bindir}/idevicename
%{_bindir}/idevicecrashreport
%{_mandir}/man1/idevice*.1.*

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{libnamedev}
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_libdir}/%{name}.so
%{_includedir}/%{name}

%files -n python-imobiledevice
%defattr(-,root,root,-)
%{python_sitearch}/%{oname}.so

%clean
rm -rf %buildroot


%changelog
* Fri Sep 02 2016 adrianomorselli <adrianomorselli> 1.2.0-1uplos2015
- rebuild

* Sat Mar 05 2016 bb <bb> 1.2.0-2pclos2016
- rebuild openssl

* Sat Jun 13 2015 pp <pp> 1.2.0-1pclos2015
- 1.2.0
- updated BR, disabled autoreconf, removed rpath 

* Tue May 26 2014 bb <bb> 1.1.6-1pclos2014
- update
